import type { MenuProps } from "./menu";
declare var __VLS_10: {}, __VLS_25: {};
type __VLS_Slots = {} & {
    logo?: (props: typeof __VLS_10) => any;
} & {
    footer?: (props: typeof __VLS_25) => any;
};
declare const __VLS_base: import("vue").DefineComponent<MenuProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    menuItemClick: (...args: any[]) => void;
    mainMenuClick: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<MenuProps> & Readonly<{
    onMenuItemClick?: ((...args: any[]) => any) | undefined;
    onMainMenuClick?: ((...args: any[]) => any) | undefined;
}>, {
    show: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
